//
//  DashboardSectionTitleView.swift
//  Jel
//
//  Created by zerocool on 12/27/23.
//

import SwiftUI

struct DashboardSectionTitleView: View {
  @State var titleText: String
  
  init(_ title: String) {
    self.titleText = title
  }
  
  var body: some View {
    HStack {
      Text(titleText)
        .font(.title2)
        .bold()
      Spacer()
    }
  }
}

#Preview {
  DashboardSectionTitleView("Title")
}
