//
//  ItemMediaView.swift
//  Jel
//
//  Created by zerocool on 12/23/23.
//

import SwiftUI
import JellyfinKit
import ExpandableText

struct ItemMediaView: View {
  var item: BaseItemDto
  
  
  var body: some View {
    VStack(alignment: .leading) {
      Text(item.taglines?.count ?? 0 > 0 ? item.taglines?[0] ?? "" : "")
        .font(.headline)
        .frame(maxWidth: .infinity, alignment: .leading)
      
      ExpandableText((item.overview ?? "").replacingOccurrences(of: "<br>", with: ""))
        .lineLimit(8)
    }
  }
}

//#Preview {
//  ItemMovieView(item: BaseItemDto())
//}
