//
//  ItemSeasonView.swift
//  Jel
//
//  Created by zerocool on 2/13/24.
//

import SwiftUI
import JellyfinKit

struct ItemSeasonView: View {
  var item: BaseItemDto
  
  var body: some View {
    VStack {
      if item.overview != nil {
        ItemMediaView(item: item)
          .padding([.horizontal, .bottom])
      }
      
      ItemSeriesEpisodesView(item: item)
        .padding(.horizontal)
    }
    .navigationTitle(item.name ?? "Untitled")
    .navigationBarTitleDisplayMode(.large)
  }
}

//#Preview {
//    ItemSeasonView()
//}
