//
//  JellyfinKitExtensions.swift
//  Jel
//
//  Created by zerocool on 12/24/23.
//

import Foundation
import JellyfinKit

extension BaseItemDto {
  func getRuntime() -> String? {
    let formatter: DateComponentsFormatter = {
      let localFormatter = DateComponentsFormatter()
      localFormatter.unitsStyle = .brief
      localFormatter.allowedUnits = [.hour, .minute]
      
      return localFormatter
    }()
    
    if let runTimeTicks = self.runTimeTicks {
      let text = formatter.string(from: Double(runTimeTicks / 10_000_000))
      return text
    }
    
    return nil
  }
}
